Debian Bug report logs - #408587
RM: repostools -- RoM; obsolete; no rev-deps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Dirk Eddelbuettel <edd@debian.org>

Date: Sat, 27 Jan 2007 02:18:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>, Seth Falcon <sfalcon@fhcrc.org>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#408587; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
New Bug report received and forwarded. Copy sent to Dirk Eddelbuettel <edd@debian.org>, Seth Falcon <sfalcon@fhcrc.org>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please remove r-bioc-repostools
Date: Fri, 26 Jan 2007 20:15:35 -0600
Package: ftp.debian.org
Severity: normal

The 'reposTools' package used to be part of the infrastructure of the
BioConductor project (www.bioconductor.org, 'BioC' for short). It served as
the initial backbone for R package installation for BioC.

This has changed in the last BioConductor release in the fall. Now BioC
installs by slurping some startup scripts directly from R.

So r-bioc-repostools is obsolete, and we should remove. Nothing else depends
on this package, so removal is harmless.

Thanks for Seth (from BioC upstream) for confirming that it is indeed
deprecated upstream. 

Cheers, Dirk

-- System Information:
Debian Release: 4.0
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)


-- 
Hell, there are no rules here - we're trying to accomplish something. 
                                                  -- Thomas A. Edison



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dirk Eddelbuettel <edd@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 408587-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 408587-close@bugs.debian.org
Cc: repostools@packages.debian.org, repostools@packages.qa.debian.org
Subject: Bug#408587: fixed
Date: Mon, 12 Feb 2007 10:28:50 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

r-bioc-repostools |   1.10.0-1 | all
repostools |   1.10.0-1 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 408587@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:34:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.